export default {
    TenTwo(value) {
        value = value.replace(/^0*(0\.|[1-3])/, '$1')
        value = value.replace(/[^\d.]/g, '') //清除"数字"和"."以外的字符
        value = value.replace(/^\./g, '') //验证第一个字符是数字而不是字符
        value = value.replace(/\.{1,}/g, '.') //只保留第一个.清除多余的
        value = value.replace('.', '$#$').replace(/\./g, '').replace('$#$', '.')
        value = value.replace(/^(\-)*(\d*)\.(\d\d).*$/, '$1$2.$3') //只能输入两个小数
        value =
            value.indexOf('.') > 0 ?
            value.split('.')[0].substring(0, 8) + '.' + value.split('.')[1] :
            value.substring(0, 8)
        return value
    },
    SixTwo(value) {
        value = value.replace(/^0*(0\.|[1-3])/, '$1')
        value = value.replace(/[^\d.]/g, '') //清除"数字"和"."以外的字符
        value = value.replace(/^\./g, '') //验证第一个字符是数字而不是字符
        value = value.replace(/\.{1,}/g, '.') //只保留第一个.清除多余的
        value = value.replace('.', '$#$').replace(/\./g, '').replace('$#$', '.')
        value = value.replace(/^(\-)*(\d*)\.(\d\d).*$/, '$1$2.$3') //只能输入两个小数
        value =
            value.indexOf('.') > 0 ?
            value.split('.')[0].substring(0, 6) + '.' + value.split('.')[1] :
            value.substring(0, 6)
        return value
    },
    TreeFour(value) {
        value = value.replace(/^0*(0\.|[1-3])/, '$1')
        value = value.replace(/[^\d.]/g, '') //清除"数字"和"."以外的字符
        value = value.replace(/^\./g, '') //验证第一个字符是数字而不是字符
        value = value.replace(/\.{1,}/g, '.') //只保留第一个.清除多余的
        value = value.replace('.', '$#$').replace(/\./g, '').replace('$#$', '.')
        value = value.replace(/^(\-)*(\d*)\.(\d\d\d\d\d\d).*$/, '$1$2.$3') //只能输入四个小数
        value =
            value.indexOf('.') > 0 ?
            value.split('.')[0].substring(0, 3) + '.' + value.split('.')[1] :
            value.substring(0, 3)
        return value
    },
    ElghtTwo(value) {
        value = value.replace(/^0*(0\.|[1-3])/, '$1')
        value = value.replace(/[^\d.]/g, '') //清除"数字"和"."以外的字符
        value = value.replace(/^\./g, '') //验证第一个字符是数字而不是字符
        value = value.replace(/\.{1,}/g, '.') //只保留第一个.清除多余的
        value = value.replace('.', '$#$').replace(/\./g, '').replace('$#$', '.')
        value = value.replace(/^(\-)*(\d*)\.(\d\d).*$/, '$1$2.$3') //只能输入两个小数
        value =
            value.indexOf('.') > 0 ?
            value.split('.')[0].substring(0, 10) + '.' + value.split('.')[1] :
            value.substring(0, 10)
        return value
    },
    SixTree(value) {
        value = value.replace(/^0*(0\.|[1-3])/, '$1')
        value = value.replace(/[^\d.]/g, '') //清除"数字"和"."以外的字符
        value = value.replace(/^\./g, '') //验证第一个字符是数字而不是字符
        value = value.replace(/\.{1,}/g, '.') //只保留第一个.清除多余的
        value = value.replace('.', '$#$').replace(/\./g, '').replace('$#$', '.')
        value = value.replace(/^(\-)*(\d*)\.(\d\d\d).*$/, '$1$2.$3') //只能输入两个小数
        value =
            value.indexOf('.') > 0 ?
            value.split('.')[0].substring(0, 6) + '.' + value.split('.')[1] :
            value.substring(0, 6)
        return value
    },
    FourTwo(value) {
        value = value.replace(/^0*(0\.|[1-3])/, '$1')
        value = value.replace(/[^\d.]/g, '') //清除"数字"和"."以外的字符
        value = value.replace(/^\./g, '') //验证第一个字符是数字而不是字符
        value = value.replace(/\.{1,}/g, '.') //只保留第一个.清除多余的
        value = value.replace('.', '$#$').replace(/\./g, '').replace('$#$', '.')
        value = value.replace(/^(\-)*(\d*)\.(\d\d).*$/, '$1$2.$3') //只能输入两个小数
        value =
            value.indexOf('.') > 0 ?
            value.split('.')[0].substring(0, 4) + '.' + value.split('.')[1] :
            value.substring(0, 4)
        return value
    },
    TwoTwo(value) {
        value = value.replace(/^0*(0\.|[1-3])/, '$1')
        value = value.replace(/[^\d.]/g, '') //清除"数字"和"."以外的字符
        value = value.replace(/^\./g, '') //验证第一个字符是数字而不是字符
        value = value.replace(/\.{1,}/g, '.') //只保留第一个.清除多余的
        value = value.replace('.', '$#$').replace(/\./g, '').replace('$#$', '.')
        value = value.replace(/^(\-)*(\d*)\.(\d\d).*$/, '$1$2.$3') //只能输入两个小数
        value =
            value.indexOf('.') > 0 ?
            value.split('.')[0].substring(0, 2) + '.' + value.split('.')[1] :
            value.substring(0, 2)
        return value
    },
}